<?php 
    $wp_customize->add_section(
        'step_area',
        array(
            'title' => __( 'Steps Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'step_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'step_area_disable',
            array(
                'settings'      => 'step_area_disable',
                'section'       => 'step_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'stepus', 'step_area', $color='#ebecf1', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'steparea_padding', 'step_area', 'Set Section Padding');

$wp_customize->add_setting(
    'step_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'step_areaTpadding',
    array(
        'settings'      => 'step_areaTpadding',
        'section'       => 'step_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'step_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'step_areaBpadding',
    array(
        'settings'      => 'step_areaBpadding',
        'section'       => 'step_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'step_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'step_title_heading',
        array(
            'settings'      => 'step_title_heading',
            'section'       => 'step_area',
            'label'         => __( 'Section Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'step_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Why choose us ? ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'step_title',
    array(
        'settings'      => 'step_title',
        'section'       => 'step_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'step_area_sectitle_color', 'step_area', 'Section Heading Color ', '#142131');

$wp_customize->add_setting('stepus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'stepus_npp_heading',
        array(
            'settings'      => 'stepus_npp_heading',
            'section'       => 'step_area',
            'label'         => __( 'Number Of Step Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('stepus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'stepus_npp_count',
    array(
        'settings'      => 'stepus_npp_count',
        'section'       => 'step_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Step Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3)
    )
);

//step PAGES
for( $i = 1; $i <= 3; $i++ ){
    $wp_customize->add_setting(
        'stepus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'stepus_header'.$i,
            array(
                'settings'      => 'stepus_header'.$i,
                'section'       => 'step_area',
                'label'         => __( 'Step Page ', 'luzuk-premium' ).$i
            )
        )
    );

lzAddElement($wp_customize, 'stepus_page_title'.$i, 'step_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Affordable');

lzAddElement($wp_customize, 'stepus_page_sptitle'.$i, 'step_area', $type = 'text', $label="Extra Title", $callback ='luzuk_sanitize_text', $default='Prices');
}

lzCustomLable($wp_customize, 'bensecbtn', 'step_area' , 'Section Color');

addColorPalatOption($wp_customize, 'step_area_pagetitle', 'step_area', 'Section Title Color', '#b5b5b5');

addColorPalatOption($wp_customize, 'step_area_pagebxBG', 'step_area', 'Section Icon And Border Color', '#b5b5b5');

addColorPalatOption($wp_customize, 'step_area_pageicon', 'step_area', 'Section Title And  Icon Active And Hover Color', '#008bff');